Home | All Classes | Grouped Classes | Index | Search

# CL_DomNode::replace_child

Replaces the child node old_child with new_child in the list of children.

    	CL_DomNode replace_child(
    		CL_DomNode& new_child, CL_DomNode& old_child);

Parameters:

new_child
  The new node to put in the child list.
old_child
  The node being replaced in the list.

Detailed description:

If the new_child is already in the tree, it is first removed.

See also:

CL_DomNode

Questions or comments, write to the ClanLib mailing list.